#include <bits/stdc++.h>

using ll = long long;

using namespace std;

void solve() {
    ll N, n, M, m, k, q;
    cin >> N >> n >> M >> m >> k >> q;
    for (ll i = 0; i < q; i++) {
        ll a, b;
        cin >> a >> b;
        cout << "No\n";
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll t = 1;
    //cin >> t;
    for (ll i = 0; i < t; i++) {
        solve();
    }
    return 0;
}
